Page MenuHomePhabricator

[mlir] Set the namespace of the BuiltinDialect to 'builtin'
ClosedPublic

Authored by rriddle on Jun 29 2021, 1:54 PM.

Details

Summary

Historically the builtin dialect has had an empty namespace. This has unfortunately created a very awkward situation, where many utilities either have to special case the empty namespace, or just don't work at all right now. This revision adds a namespace to the builtin dialect, and starts to cleanup some of the utilities to no longer handle empty namespaces. For now, the assembly form of builtin operations does not require the builtin. prefix. (This should likely be re-evaluated though)

Diff Detail

Event Timeline

rriddle created this revision.Jun 29 2021, 1:54 PM
rriddle requested review of this revision.Jun 29 2021, 1:54 PM
rriddle updated this revision to Diff 355366.Jun 29 2021, 2:27 PM

Fix python test

ftynse accepted this revision.Jul 5 2021, 1:39 AM
ftynse added inline comments.
mlir/docs/Diagnostics.md
159

Maybe irrelevant: is "module_terminator" still a thing? If so, should it also be builtin?

This revision is now accepted and ready to land.Jul 5 2021, 1:39 AM
mehdi_amini added inline comments.Jul 5 2021, 2:07 PM
mlir/docs/Diagnostics.md
159

It isn't, we should update the doc with another example here.

nicolasvasilache accepted this revision.Jul 28 2021, 2:23 AM
nicolasvasilache resigned from this revision.
This revision was landed with ongoing or failed builds.Jul 28 2021, 2:07 PM
This revision was automatically updated to reflect the committed changes.